document.getElementById('templateForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const templateName = document.getElementById('templateName').value;
  const messageContent = document.getElementById('messageContent').value;
  const variables = document.getElementById('variables').value.split(',').map(v => v.trim());
  
  const templateData = {
    name: templateName,
    message: messageContent,
    variables: variables.filter(v => v !== '')
  };
  
  const jsonOutput = JSON.stringify(templateData, null, 2);
  document.getElementById('jsonOutput').textContent = jsonOutput;
});

document.getElementById('copyButton').addEventListener('click', function() {
  const output = document.getElementById('jsonOutput').textContent;
  navigator.clipboard.writeText(output)
    .then(() => alert('Template copied to clipboard!'))
    .catch(() => alert('Failed to copy template'));
});